Commit 0143df59 authored by Jonathan Harker's avatar Jonathan Harker

Remove obsolete debian packaging.

parent 8f072062
debian/files
debian/mediawiki-extensions-maharaauth.debhelper.log
debian/mediawiki-extensions-maharaauth.substvars
debian/mediawiki-extensions-maharaauth/
debian/stamp-patched
all:
dpkg-buildpackage -rfakeroot -us -uc
Mediawiki Authentication Plugin for Mahara
Copyright (C) 2004 Brion Vibber <brion@pobox.com>
Copyright (C) 2010, 2011 Catalyst IT (http://www.catalyst.net.nz)
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
----------------------------------------
To install this plugin, follow these steps:
1) Copy MaharaAuthPlugin.php into the includes directory in your mediawiki instance.
2) Add the following two lines into your LocalSettings.php file:
$wgAutoloadLocalClasses['MaharaAuthPlugin'] = 'includes/MaharaAuthPlugin.php';
$wgAuth = new MaharaAuthPlugin('maharadbname','dbhost','dbtype','dbuser','dbpass', 'prefix', 'passwordsaltmain');
Replacing maharadbname, dbhost, dbtype, dbuser, dbpass, prefix, and passwordsaltmain with the respective values in your setup.
mediawiki-extensions-maharaauth (1.0-7) precise; urgency=low
* Support for Mahara 1.6
-- Craig Miskell <craig@catalyst.net.nz> Fri, 15 Feb 2013 13:54:22 +1300
mediawiki-extensions-maharaauth (1.0-6) unstable; urgency=low
* Fixing minor bug
-- Brett Wilkins <brett@catalyst.net.nz> Tue, 28 Sep 2010 16:39:47 +1300
mediawiki-extensions-maharaauth (1.0-5) unstable; urgency=low
* Adding sysop group to admin users of mahara
-- Brett Wilkins <brett@catalyst.net.nz> Tue, 28 Sep 2010 16:14:29 +1300
mediawiki-extensions-maharaauth (1.0-4) unstable; urgency=low
* Fixing initUser function
-- Brett Wilkins <brett@catalyst.net.nz> Tue, 28 Sep 2010 15:16:46 +1300
mediawiki-extensions-maharaauth (1.0-3) unstable; urgency=low
* Change to fetch object rather than row
-- Brett Wilkins <brett@catalyst.net.nz> Tue, 28 Sep 2010 15:00:04 +1300
mediawiki-extensions-maharaauth (1.0-2) unstable; urgency=low
* Couple of changes for better compatibility with mediawiki classes
-- Brett Wilkins <brett@catalyst.net.nz> Tue, 28 Sep 2010 14:54:46 +1300
mediawiki-extensions-maharaauth (1.0-1) unstable; urgency=low
* A few more changes, regarding copyright and includes
-- Brett Wilkins <brett@catalyst.net.nz> Tue, 28 Sep 2010 14:30:12 +1300
mediawiki-extensions-maharaauth (1.0) unstable; urgency=low
* Initial version
-- Brett Wilkins <brett@catalyst.net.nz> Tue, 28 Sep 2010 12:10:00 +1300
Source: mediawiki-extensions-maharaauth
Section: web
Priority: optional
Maintainer: Brett Wilkins <brett@catalyst.net.nz>
Uploaders: Brett Wilkins <brett@catalyst.net.nz
Build-Depends: debhelper (>= 7.0.1), cdbs (>= 0.4.23-1.1), quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27)
Standards-Version: 3.9.0
Homepage: https://git.mahara.org/scripts/mediawiki-auth-mahara
Package: mediawiki-extensions-maharaauth
Architecture: all
Depends: ${misc:Depends}, mediawiki-extensions-base
Recommends: mahara
Replaces: mediawiki-extensions (>> 2.0)
Description: Extensions for MediaWiki -- MaharaAuthPlugin extension
This package provides the mediawiki extensions for
user authentication using a Mahara database.
.
This extension is set for the Debian mediawiki
package, but it may also be used separately.
This work was packaged for Debian by:
Brett Wilkins <brett@catalyst.net.nz> on 2010-09-28
It was downloaded from:
http://gitorious.org/mahara-contrib/mediawiki-auth-mahara
now at https://git.mahara.org/scripts/mediawiki-auth-mahara
Upstream Author(s):
Brett Wilkins <brett@catalyst.net.nz>
Copyright:
<Copyright (C) 2010 Brett Wilkins>
License:
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
On Debian systems, the complete text of the GNU General
Public License version 3 can be found in `/usr/share/common-licenses/GPL-3'.
The Debian packaging is:
Copyright (C) 2010 Brett Wilkins <brett@catalyst.net.nz>
and is licensed under the GPL version 3, see above.
MaharaAuthPlugin.php var/www/mediawiki/extensions/MaharaAuth
var/lib/mediawiki/extensions/MaharaAuth
var/lib/mediawiki/extensions/MaharaAuth usr/share/mediawiki-extensions/maharaauth
usr/share/mediawiki-extensions/maharaauth/MaharaAuthPlugin.php etc/mediawiki-extensions/extensions-available/MaharaAuthPlugin.php
#!/usr/bin/make -f
# work around cdbs bug on lenny (b-d look like 'foo, , bar'); works in sid
CDBS_BUILD_DEPENDS:=debhelper (>= 7.0.1)
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
# In order to regenerate 'debian/control' :
# DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment